Users
Get user
GET
/
users
/
{id}
Get user
curl --request GET \
--url https://api.connectadesk.com/api/v1/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/users/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connectadesk.com/api/v1/users/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 3,
"email": "gabriel@exemplo.com.br",
"name": "Gabriel Goulart",
"profile": {
"id": 20,
"name": "Admin"
},
"isOwner": false,
"active": true,
"online": true,
"approved": true,
"maxOpenTickets": 15,
"lastLogin": "2026-08-19T08:12:00.000Z",
"queues": [
{
"id": 13,
"name": "Comercial"
}
],
"createdAt": "2026-01-08T12:00:00.000Z",
"updatedAt": "2026-08-19T08:30:00.000Z"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}Authorizations
API token in the sk_live_… format.
Path Parameters
Response
OK
User from the company's point of view. The id is the user's id in this company, and the email belongs to the person's account. Name, profile, activation, presence and ticket limit are set per company, so the same user can have different values in each company.
Super admin accounts never appear.
Show child attributes
Show child attributes
Example:
{
"id": 3,
"email": "gabriel@exemplo.com.br",
"name": "Gabriel Goulart",
"profile": { "id": 20, "name": "Admin" },
"isOwner": false,
"active": true,
"online": true,
"approved": true,
"maxOpenTickets": 15,
"lastLogin": "2026-08-19T08:12:00.000Z",
"queues": [{ "id": 13, "name": "Comercial" }],
"createdAt": "2026-01-08T12:00:00.000Z",
"updatedAt": "2026-08-19T08:30:00.000Z"
}
⌘I
Get user
curl --request GET \
--url https://api.connectadesk.com/api/v1/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/users/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connectadesk.com/api/v1/users/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 3,
"email": "gabriel@exemplo.com.br",
"name": "Gabriel Goulart",
"profile": {
"id": 20,
"name": "Admin"
},
"isOwner": false,
"active": true,
"online": true,
"approved": true,
"maxOpenTickets": 15,
"lastLogin": "2026-08-19T08:12:00.000Z",
"queues": [
{
"id": 13,
"name": "Comercial"
}
],
"createdAt": "2026-01-08T12:00:00.000Z",
"updatedAt": "2026-08-19T08:30:00.000Z"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}
